export { isPlainObject } from 'vuepress/shared';
/* Type helper */
export const isDef = (val) => typeof val !== 'undefined';
export const isBoolean = (val) => typeof val === 'boolean';
export const isNumber = (val) => typeof val === 'number';
export const isString = (val) => typeof val === 'string';
export const isArray = Array.isArray;
// eslint-disable-next-line @typescript-eslint/ban-types
export const isFunction = (val) => typeof val === 'function';
export const isRegExp = (val) => val instanceof RegExp;
/* String helper */
export const startsWith = (str, prefix) => isString(str) && str.startsWith(prefix);
export const endsWith = (str, suffix) => isString(str) && str.endsWith(suffix);
/* Object helper */
export const entries = Object.entries;
export const fromEntries = Object.fromEntries;
export const keys = Object.keys;
export const values = Object.values;
